local reg = setmetatable({}, {__index = function(t,k) local u = {}; rawset(t, k, u); return u end})

local function emit(s, ...)
	for f in pairs(reg[s]) do
		f(...)
	end
end

local function register(s, f)
	reg[s][f] = f
	return f
end

local function remove(s, f)
	reg[s][f] = nil
end

local function clear(s)
	reg[s] = {}
end

return {
	emit     = emit,
	register = register,
	remove   = remove,
	clear    = clear,
}
