local st = GS.new()
local gui = require 'quickie'

function st:enter()
	gui.core.enableKeyFocus()
end

function st:update()
	love.graphics.setFont(Font.fancy[60])
	gui.Label('Select Level', 10,80,WIDTH-20,nil, 'center')

	love.graphics.setFont(Font.normal[30])
	local x,y,w,h = 150,200, 80,80
	for i = 1,math.min(Config.done+1, #MapList) do
		if gui.Button(tonumber(i), x,y,w,h) then
			GS.switch(State.game, MapList[i])
		end
		x = x + w + 15
		if x + w > WIDTH - 150 then
			x = 150
			y = y + h + 15
		end
	end

end

function st:draw()
	love.graphics.setColor(1,1,1)
	love.graphics.draw(Image.bg, 0,0)
	gui.core.draw()
end

function st:keypressed(...)
	gui.core.keyboard.pressed(...)
end

return st
