local st = GS.new()
local gui = require 'quickie'

function st:enter()
	gui.core.enableKeyFocus()
end

local music = {checked = not Config.no_music}
function st:update()
	love.graphics.setFont(Font.fancy[60])
	gui.Label('Options & Credits', 10,80,WIDTH-20,120, 'center')

	love.graphics.setFont(Font.normal[20])
	local x,y,w,h = 300,220, WIDTH-600,55
	if gui.Checkbox(music, x,y, 24,24) then
		Config.no_music = not music.checked
		if not music.checked then
			Stream.music:stop()
		else
			Stream.music:play()
		end
	end
	gui.Label('Play music', x+36,y-3)

	if gui.Button('back', x,495,w,h) then
		GS.switch(State.title)
	end
end

local credits = [[A game by vrld for the 23rd Ludum Dare competition themed 'Tiny World'. Made with LÖVE in 48 hours. Graphics created with The Gimp. Music composed with sunvox. Sound effects powered by Audacity. Fonts: Aurora Extended by Michael Schmidt and Homemade Robot by Daniel Zadorozny.]]

function st:draw()
	love.graphics.setColor(1,1,1)
	love.graphics.draw(Image.bg, 0,0)
	gui.core.draw()

	love.graphics.setColor(gui.core.style.color.normal.fg)
	love.graphics.setFont(Font.normal[16])
	love.graphics.printf(credits, 75,290, WIDTH-150, 'center')
end

function st:keypressed(...)
	gui.core.keyboard.pressed(...)
end

return st
