local st = GS.new()
local gui = require 'quickie'

function st:enter()
	gui.core.enableKeyFocus()
end

function st:update()
	love.graphics.setFont(Font.fancy[80])
	gui.Label('NaMa Tek', 10,100,WIDTH-20,120, 'center')

	love.graphics.setFont(Font.normal[20])
	local x,y,w,h = 200,HEIGHT-HEIGHT/2, WIDTH-400,55
	if gui.Button('Start Game', x,y,w,h) then
		GS.switch(State.level_select)
		return
	end

	y = y + h + 10
	if gui.Button('Level Editor', x,y,w,h) then
		GS.switch(State.editor)
		return
	end

	y = y + h + 10
	if gui.Button('Options & Credits', x,y,w,h) then
		GS.switch(State.options)
		return
	end

	y = y + h + 10
	if gui.Button('Quit', x,y,w,h) then
		love.event.push('quit')
		return
	end
end

function st:draw()
	love.graphics.setColor(1,1,1)
	love.graphics.draw(Image.bg, 0,0)
	gui.core.draw()
end

function st:keypressed(...)
	gui.core.keyboard.pressed(...)
end

return st
